#
# otopi -- plugable installer
#

%global		package_version 1.5.1
%global		package_maven_version 1.5.0

#global _use_maven 1
#global _use_repolib 0
%global maven2brewrepodir %{_javadir}/repository.jboss.com/maven2-brew/dummy

# {Downstream only
%global _use_maven 0
%global _use_repolib 1

%global commit 9522facbed5b4e24209987384b4b34b5f585f513
%global	shortcommit %(c=%{commit}; echo ${c:0:7})
%define	enable_autotools 1
# }

Summary:	oVirt Task Oriented Pluggable Installer/Implementation (%{name})
Name:		otopi
Version:	1.5.1
Release:	3%{?release_suffix}%{?dist}
License:	LGPLv2+
URL:		http://www.ovirt.org
Source0:	http://jenkins.ovirt.org/job/otopi_4.0_build-artifacts-el7-x86_64/7/artifact/exported-artifacts/otopi-1.5.1.tar.gz
Group:		Development/Libraries

BuildArch:	noarch

Requires:	python
BuildRequires:	apache-commons-logging
BuildRequires:	java-devel
BuildRequires:	junit
BuildRequires:	gettext >= 0.18.2
BuildRequires:	python2-devel

%if %{_use_maven}
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-enforcer-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	maven-source-plugin
BuildRequires:	maven-surefire-provider-junit
BuildRequires:	maven-local
%else
BuildRequires:	javapackages-tools
%endif

# {Downstream only
%if 0%{?enable_autotools}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
%endif
#}

%description
Standalone plugin based installation framework to be used to setup
system components. The plugin nature provides simplicity to
add new installation functionality without the complexity of the state
and transaction management.

%package java
Summary:	%{name} java support
Requires:	%{name} = %{version}-%{release}
Requires:	java
Requires:	apache-commons-logging

%description java
java libraries.

%if %{_use_maven}
%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation

%description javadoc
This package contains the API documentation for %{name}.
%endif

%package devtools
Summary:	%{name} development tools
Requires:	%{name} = %{version}-%{release}

%description devtools
Development tools for %{name}.

%package debug-plugins
Summary:	%{name} debug plugins
Requires:	%{name} = %{version}-%{release}

%description debug-plugins
Debug plugins for %{name}.

%if 0%{?_use_repolib:1}
%package repolib
Summary:	%{name} maven repo
%description repolib
%{name} maven repo
%endif

%prep
%setup -q

%build
# { Downstream only
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
# }

%if %{_use_maven}
%global conf --disable-java-sdk-compile
%else
%global conf COMMONS_LOGGING_JAR=$(build-classpath commons-logging) JUNIT_JAR=$((build-classpath junit4 || build-classpath junit) | sed '/^$/d')
%endif
%configure \
	--docdir="%{_docdir}/%{name}-%{version}" \
	--disable-python-syntax-check \
	--enable-java-sdk \
	--with-local-version="%{name}-%{version}-%{release}" \
	%{?conf}
make %{?_smp_mflags}

%if %{_use_maven}
cd src/java
%mvn_build
cd ../..
%endif

%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%if %{_use_maven}
cd src/java
%mvn_install
cd ../..
%else
install -d "%{buildroot}%{_javadir}/%{name}"
install -m 644 target/%{name}-%{package_maven_version}.jar "%{buildroot}%{_javadir}/%{name}"
ln -s %{name}-%{package_maven_version}.jar "%{buildroot}%{_javadir}/%{name}/%{name}.jar"
cat > src/java/.mfiles << __EOF__
%{_javadir}/%{name}/
__EOF__

install -d "%{buildroot}%{maven2brewrepodir}"
cp "%{buildroot}%{_javadir}/%{name}/%{name}.jar" "%{buildroot}%{maven2brewrepodir}/%{name}-%{package_maven_version}.jar"
cp src/java/pom.xml "%{buildroot}%{maven2brewrepodir}/%{name}-%{package_maven_version}.pom"
%endif

install -d -m 755 "%{buildroot}%{_sysconfdir}/%{name}.conf.d"
%find_lang %{name}

%files -f %{name}.lang
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_sysconfdir}/%{name}.conf.d
%doc AUTHORS
%license COPYING
%doc README
%doc README.API
%doc README.dialog
%doc README.environment
%exclude %{python_sitelib}/%{name}/codegen/
%{_datadir}/%{name}/plugins/%{name}/
%{_sbindir}/%{name}
%{_bindir}/%{name}-config-query
%{python_sitelib}/%{name}/

%files java -f src/java/.mfiles

%if %{_use_maven}
%files javadoc -f src/java/.mfiles-javadoc
%endif

%files devtools
%{_datadir}/%{name}/%{name}-bundle
%{python_sitelib}/%{name}/codegen/

%files debug-plugins
%{_datadir}/%{name}/plugins/%{name}/debug/

%if %{_use_repolib}
%files repolib
%{maven2brewrepodir}/
%endif

%changelog
* Tue Jul 12 2016 Yedidyah Bar David <didi@redhat.com> - 1.5.1-1
- Release, import rhbz#1354607

* Tue Jun 7 2016 Yedidyah Bar David <didi@redhat.com> - 1.5.0-3
- Restored permissions on otopi jar as was in 3.6

* Wed Jun 1 2016 Yedidyah Bar David <didi@redhat.com> - 1.5.0-2
- Fixed %setup

* Mon May 30 2016 Yedidyah Bar David <didi@redhat.com> - 1.5.0-1
- Release, import rhbz#1340948

* Tue Feb 9 2016 Yedidyah Bar David <didi@redhat.com> - 1.4.1-1
- Release, import rhbz#1283267

* Thu Oct 15 2015 Alon Bar-Lev <alonbl@redhat.com> - 1.4.0-1
- Release, import rhbz#1230104.

* Sat Dec 6 2014 Alon Bar-Lev <alonbl@redhat.com> - 1.3.0-2
- Release, import rhbz#1111205.

* Mon Oct 6 2014 Alon Bar-Lev <alonbl@redhat.com> - 1.3.0-1
- Release, import rhbz#1111205.

* Fri May 2 2014 Alon Bar-Lev <alonbl@redhat.com> - 1.2.1-1
- Release, import rhbz#1063225.

* Mon Oct 7 2013 Alon Bar-Lev <alonbl@redhat.com> - 1.1.2-1
- Release, import rhbz#1014552.

* Sat Sep 7 2013 Alon Bar-Lev <alonbl@redhat.com> - 1.1.1-1
- Release, import rhbz#995053.

* Mon Aug 26 2013 Alon Bar-Lev <alonbl@redhat.com> - 1.1.0-1
- Release, import rhbz#995053.

* Thu May 02 2013 Alon Bar-Lev <alonbl@redhat.com> - 1.0.0-2
- Fix utf-8 issue, rhbz#956343.

* Thu Feb 14 2013 Alon Bar-Lev <alonbl@redhat.com> - 1.0.0-1
- Release, import import rhbz#885721.

* Sat Oct 13 2012 Alon Bar-Lev <alonbl@redhat.com> - 1.0.0-0.1_beta
- Initial add.

